[PATCH] Make use of COMMON_CPPFLAGS

Somehow I didn't end up using the common flags. Move the -I$(TOPDIR)/include
flag into there and adjust the program CPPFLAGS to use it.

diff -urN a/Makefile head/Makefile
--- a/Makefile	2006-03-15 08:53:04.000000000 +1030
+++ head/Makefile	2006-03-16 16:49:34.000000000 +1030
@@ -144,17 +144,19 @@
 COMMON_CPPFLAGS += -U__i386__
 endif
 
-NQSW_CPPFLAGS := -DTYR_VERSION=$(TYR_VERSION) -DNQ_HACK
-NQGL_CPPFLAGS := -DTYR_VERSION=$(TYR_VERSION) -DNQ_HACK -DGLQUAKE
-QWSW_CPPFLAGS := -DTYR_VERSION=$(TYR_VERSION) -DQW_HACK
-QWGL_CPPFLAGS := -DTYR_VERSION=$(TYR_VERSION) -DQW_HACK -DGLQUAKE
-QWSV_CPPFLAGS := -DTYR_VERSION=$(TYR_VERSION) -DQW_HACK -DSERVERONLY
-
-NQSW_CPPFLAGS += -I$(TOPDIR)/include -I$(TOPDIR)/NQ
-NQGL_CPPFLAGS += -I$(TOPDIR)/include -I$(TOPDIR)/NQ
-QWSW_CPPFLAGS += -I$(TOPDIR)/include -I$(TOPDIR)/QW/client
-QWGL_CPPFLAGS += -I$(TOPDIR)/include -I$(TOPDIR)/QW/client
-QWSV_CPPFLAGS += -I$(TOPDIR)/include -I$(TOPDIR)/QW/server -I$(TOPDIR)/QW/client
+COMMON_CPPFLAGS += -I$(TOPDIR)/include
+
+NQSW_CPPFLAGS := $(COMMON_CPPFLAGS) -DNQ_HACK
+NQGL_CPPFLAGS := $(COMMON_CPPFLAGS) -DNQ_HACK -DGLQUAKE
+QWSW_CPPFLAGS := $(COMMON_CPPFLAGS) -DQW_HACK
+QWGL_CPPFLAGS := $(COMMON_CPPFLAGS) -DQW_HACK -DGLQUAKE
+QWSV_CPPFLAGS := $(COMMON_CPPFLAGS) -DQW_HACK -DSERVERONLY
+
+NQSW_CPPFLAGS += -I$(TOPDIR)/NQ
+NQGL_CPPFLAGS += -I$(TOPDIR)/NQ
+QWSW_CPPFLAGS += -I$(TOPDIR)/QW/client
+QWGL_CPPFLAGS += -I$(TOPDIR)/QW/client
+QWSV_CPPFLAGS += -I$(TOPDIR)/QW/server -I$(TOPDIR)/QW/client
 
 ifeq ($(TARGET_OS),WIN32)
 NQSW_CPPFLAGS += -idirafter $(DX_INC) -idirafter $(ST_INC)
